Skip to content

Assign staff to a project

Request

Assign staff to a project

Creates associations between staff members and a job:

  • staffJobAssignments: assigns staff directly to the job via staff_job records
  • staffTaskAssignments: assigns staff to specific task types on the job via task_type_staff_job records

If an association already exists but is inactive, it will be re-activated.

Returns the IDs of created or re-activated records.

Real Example:

curl --location 'https://{{host}}/api/v1/projects/assign_staff' \
--header 'Authorization: bearer {{token}}' \
--header 'Content-Type: application/json' \
--data '{
  "jobId": 5001,
  "staffJobAssignments": [{"staffId": 103}, {"staffId": 104}],
  "staffTaskAssignments": [{"staffId": 103, "taskTypeId": 10}, {"staffId": 104, "taskTypeId": 11}]
}'
Security
BearerAuth
Bodyapplication/jsonrequired
jobIdinteger, (int64)required

Jobid

staffJobAssignmentsArray of objects

Staffjobassignments

staffTaskAssignmentsArray of objects

Stafftaskassignments

curl -i -X POST \
  https://api.doc.aiwyn.ai/_mock/bundle/api/v1/projects/assign_staff \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "jobId": 0,
    "staffJobAssignments": [
      {
        "staffId": 0
      }
    ],
    "staffTaskAssignments": [
      {
        "staffId": 0,
        "taskTypeId": 0
      }
    ]
  }'

Responses

Staff assigned successfully

Bodyapplication/json
object
Response
{}